package com.ynet.life.mvc;

import com.ynet.gene.core.Context;
import com.ynet.gene.core.GENEConstance;
import com.ynet.gene.core.GENEException;
import com.ynet.gene.web.servlet.view.AbstractView;
import java.io.IOException;
import java.util.Map;
import javax.servlet.ServletOutputStream;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

/* loaded from: com_ynet_life_mvc.jar:com/ynet/life/mvc/TextView.class */
public class TextView extends AbstractView {
    private String fieldName = "responseText";
    private String exceptionName = null;
    private String replayPage = null;
    private String contentType = "text";

    public void render(Map model, HttpServletRequest request, HttpServletResponse response, String rootPath) {
        response.addHeader("Cache-Control", "no-cache");
        response.addHeader("Content-Type", this.contentType);
        Context context = (Context) model.get(GENEConstance.ATTR_CONTEXT);
        Exception exception = (Exception) model.get(GENEConstance.ATTR_EXCEPTION);
        ServletOutputStream response2 = getResponse(context, exception);
        try {
            response2 = response.getOutputStream();
            response2.write(response2.getBytes("UTF-8"));
        } catch (IOException e) {
            response2.printStackTrace();
        }
    }

    private String getResponse(Context context, Exception exception) {
        String responseString = "";
        if (exception != null) {
            if (exception instanceof GENEException) {
                ((GENEException) exception).getErrorCode();
                ((GENEException) exception).getShowMessage();
            } else {
                exception.getMessage();
            }
        } else {
            String str = (String) context.get(this.fieldName);
            responseString = str;
            if (str == null) {
                responseString = "";
            } else if (this.replayPage != null) {
                responseString = responseString.replaceFirst("\\{", "{\"rp\":\"" + this.replayPage + "\",");
            }
        }
        return responseString;
    }

    public String getExceptionName() {
        return this.exceptionName;
    }

    public void setFieldName(String fieldName) {
        this.fieldName = fieldName;
    }

    public void setReplayPage(String replayPage) {
        this.replayPage = replayPage;
    }

    public void setContentType(String contentType) {
        this.contentType = contentType;
    }
}
